/* MakePri
 *
 * Convert a PBM/PGM image to the "poly-raster" format; on the Microsoft Windows
 * platform, BMP images are supported too.
 *
 * Copyright (c) 2006-2007, ITB CompuPhase. All rights reserved.
 * www.compuphase.com
 */
#ifndef MAKEPRI_H
#define MAKEPRI_H

#define VERSION_STR "1.0"


#if defined __cplusplus
  extern "C" {
#endif

typedef struct tagBOUNDS {
  short x, y;
  short width, height;
} BOUNDS;

typedef struct tagPROFILE {
  struct tagPROFILE *next;
  unsigned short layout;
  unsigned char bpp;
  char *label;
  char *description;
} PROFILE;

extern PROFILE profile_root;
int profile_read(const char *filename);
void profile_free(void);
int profile_lookup(const char *label, unsigned char *bpp);

#if defined __cplusplus
  }
#endif

#endif /* MAKEPRI_H */
